#CC	= gcc
CC	= lx4189-uclibc-gcc
COPTS	= -Os -march=lx4189 -msoft-float
CFLAGS	= $(COPTS) -I.. -I../../include -fPIC -I../../../ooma/sw/libs/msglib
LDFLAGS	= -shared -L../../../ooma/sw/libs/install/lib -lmsg
INSTALL	= install

DESTDIR = /usr/local
BINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/share/man/man8
LIBDIR = $(DESTDIR)/lib/pppd/$(VERSION)

SUBDIRS := rp-pppoe pppoatm radius
# Uncomment the next line to include the radius authentication plugin
# SUBDIRS += radius
# PLUGINS := minconn.so passprompt.so passwordfd.so winbind.so oomapass.so
PLUGINS := oomapass.so

# include dependencies if present
ifeq (.depend,$(wildcard .depend))
include .depend
endif

all:	$(PLUGINS) 
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d all; done

%.so: %.c 
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^

VERSION = $(shell awk -F '"' '/VERSION/ { print $$2; }' ../patchlevel.h)

romfs:
#	$(ROMFSINST) /lib/minconn.so
#	$(ROMFSINST) /lib/passprompt.so
#	$(ROMFSINST) /lib/passwordfd.so
#	$(ROMFSINST) /lib/winbind.so
	$(ROMFSINST) /lib/oomapass.so
#	cd rp-pppoe; $(MAKE) romfs
#	cd pppoatm; $(MAKE) romfs
#	cd radius; $(MAKE) romfs

install: $(PLUGINS)
	$(INSTALL) -d $(LIBDIR)
	$(INSTALL) $? $(LIBDIR)
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d install; done

clean:
	rm -f *.o *.so *.a
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d clean; done

depend:
	$(CPP) -M $(CFLAGS) *.c >.depend
	for d in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$d depend; done
